Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.EditTrigger

    java.lang.Object
      java.lang.Enum<QAbstractItemView.EditTrigger>
          com.trolltech.qt.gui.QAbstractItemView.EditTrigger

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.EditTrigger>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.EditTrigger

extends java.lang.Enum<QAbstractItemView.EditTrigger>
implements QtEnumerator

This enum describes actions which will initiate item editing.

Enum Constant Summary
`AllEditTriggers` Editing starts for all above actions.
`AnyKeyPressed` Editing starts when any key is pressed over an item.
`CurrentChanged` Editing start whenever current item changes.
`DoubleClicked` Editing starts when an item is double clicked.
`EditKeyPressed` Editing starts when the platform edit key has been pressed over an item.
`NoEditTriggers` No editing possible.
`SelectedClicked` Editing starts when clicking on an already selected item.

Method Summary
`static QAbstractItemView.EditTriggers` | `createQFlags(QAbstractItemView.EditTrigger... values)`
`static QAbstractItemView.EditTrigger` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.EditTrigger` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.EditTrigger[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoEditTriggers

    public static final QAbstractItemView.EditTrigger NoEditTriggers

  No editing possible.

### CurrentChanged

    public static final QAbstractItemView.EditTrigger CurrentChanged

  Editing start whenever current item changes.

### DoubleClicked

    public static final QAbstractItemView.EditTrigger DoubleClicked

  Editing starts when an item is double clicked.

### SelectedClicked

    public static final QAbstractItemView.EditTrigger SelectedClicked

  Editing starts when clicking on an already selected item.

### EditKeyPressed

    public static final QAbstractItemView.EditTrigger EditKeyPressed

  Editing starts when the platform edit key has been pressed over an item.

### AnyKeyPressed

    public static final QAbstractItemView.EditTrigger AnyKeyPressed

  Editing starts when any key is pressed over an item.

### AllEditTriggers

    public static final QAbstractItemView.EditTrigger AllEditTriggers

  Editing starts for all above actions.

Method Detail

### values

    public static final QAbstractItemView.EditTrigger[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.EditTrigger c : QAbstractItemView.EditTrigger.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.EditTrigger valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractItemView.EditTriggers createQFlags(QAbstractItemView.EditTrigger... values)

### resolve

    public static QAbstractItemView.EditTrigger resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD